Bug 112613 - Curl doesn't respect wildcard URLs
Summary: Curl doesn't respect wildcard URLs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: curl   
(Show other bugs)
Version: 1
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-24 17:17 UTC by Matthew Mastracci
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-15 08:21:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Mastracci 2003-12-24 17:17:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031015 Firebird/0.7

Description of problem:
The build of Curl included with Fedora doesn't seem to support
wildcard URLs properly.  This was working in RedHat 9.0 (I believe).


Version-Release number of selected component (if applicable):
curl-7.10.6-7

How reproducible:
Always

Steps to Reproduce:
Use the following contrived example (files don't exist, but it doesn't
matter):

curl http://www.redhat.com/download/fedora-core-[1-3].iso -o
fedora-core-#1.iso


Actual Results:  Generates one file:

fedora-core-d.iso

Fetched from the invalid URL:

http://www.redhat.com/download/fedora-core-d.iso


Expected Results:  Should create three files in the current directory:

fedora-core-1.iso
fedora-core-2.iso
fedora-core-3.iso

Fetched from the following URLs, respectively:

http://www.redhat.com/download/fedora-core-1.iso
http://www.redhat.com/download/fedora-core-2.iso
http://www.redhat.com/download/fedora-core-3.iso

Additional info:

Comment 1 Kazutoshi Morioka 2003-12-29 04:57:36 UTC
That's a upstream bug fixed in 7.10.7.

Comment 2 Kazutoshi Morioka 2003-12-29 04:58:21 UTC
It's a upstream bug fixed in 7.10.7

Comment 3 Florian La Roche 2004-02-15 08:21:40 UTC
7.10.8 is now in the development tree, closing this bug



Note You need to log in before you can comment on or make changes to this bug.